import { request } from '@/plugins/http-fetch';

/**
 * 查询网元列表
 * @param query 查询参数
 * @returns object
 */
export function listNe(query: Record<string, any>) {
  return request({
    url: '/ne/list',
    method: 'get',
    params: query,
    timeout: 60_000,
  });
}

/**
 * 查询网元状态
 * @param neType 网元类型
 * @param neId 网元ID
 * @returns object
 */
export function stateNe(neType: string, neId: string) {
  return request({
    url: '/ne/state',
    method: 'get',
    params: { neType, neId },
  });
}
